-- global variable where we will keep all addon related
ShowMotifs = {}

-- localizations
ShowMotifs.LOCALES = {
	["en"] = {
		phrases = {
			GENERAL = "General",
			ICON_THEME = "Icons Theme",
			ICON_THEME_TOOLTIP = "Choose Theme for icons.\n\nNote for Inventory Grid View add-on users: Icons are not displayed in \"grid\" mode",
			ICON_SIZE = "Racial Motif icon Size",
			ICON_SIZE_TOOLTIP = "Set the size for Racial Motif icons",
			ARMOR_ICON_SIZE = "Armor Type icon Size",
			ARMOR_ICON_SIZE_TOOLTIP = "Set the size for Armor Type icons",
			ICON_POSITION = "Icons Position",
			ICON_POSITION_TOOLTIP = "Set the Position for icons relative to left edge of inventory list",
			RACIAL = "Show Racial Motif icon",
			RACIAL_TOOLTIP = "Show Racial Motif icon.\n\nNote for Inventory Grid View add-on users: Icons are not displayed in \"grid\" mode",
			ARMOR = "Show Armor Type icon",
			ARMOR_TOOLTIP = "Show Armor Type icon.\n\nNote for Inventory Grid View add-on users: Icons are not displayed in \"grid\" mode",
			LETTER = "Use Letters",
			LETTER_TOOLTIP = "Show letter instead of graphic symbols for Armor Type.\n\n(L)ight  -  light armor\n(M)edium  -  medium armor\n(H)eavy  -  heavy armor",
			COLOR = "Use Quality Color",
			COLOR_TOOLTIP = "Set the color for icons according to item quality",
			TOOLTIP = "Show tooltips",
			TOOLTIP_TOOLTIP = "Show tooltips for icons on mouse hover.\n\nNote for Inventory Grid View add-on users: Icons are not displayed in \"grid\" mode",
			BORDER = "Show rarity border",
			BORDER_TOOLTIP = "Show a colored square for rare styles",
		},
	},
	["de"] = {
		phrases = {
			GENERAL = "Allgemein",
			ICON_THEME = "Symbol Thema",
			ICON_THEME_TOOLTIP = "Symbol Thema welches in der Listenansicht verwendet wird\n\nHinweis für Nutzer von Inventory Grid View: Symbole werden nicht in der \"Gitter\" (Grid) Ansicht angezeigt.",
			ICON_SIZE = "Motivsymbol Gr\195\182\195\159e",
			ICON_SIZE_TOOLTIP = "Gr\195\182\195\159e des Motivsymbols",
			ARMOR_ICON_SIZE = "R\195\188stungssymbol Gr\195\182\195\159e",
			ARMOR_ICON_SIZE_TOOLTIP = "Gr\195\182\195\159e des R\195\188stungssymbols",
			ICON_POSITION = "Symbol Position",
			ICON_POSITION_TOOLTIP = "Position des Symbols (von links)",
			RACIAL = "Zeige Symbol f\195\188r Rassenmotiv",
			RACIAL_TOOLTIP = "Zeige das Symbol f\195\188r das Rassenmotiv in der Listenansicht\n\nHinweis für Nutzer von Inventory Grid View: Symbole werden nicht in der \"Gitter\" (Grid) Ansicht angezeigt.",
			ARMOR = "Zeige Symbol f\195\188r R\195\188stungsart",
			ARMOR_TOOLTIP = "Zeige das Symbol f\195\188r die R\195\188stungsart in der Listenansicht",
			LETTER = "Verwende Buchstaben",
			LETTER_TOOLTIP = "Zeige Buchstaben anstelle der Symbole f\195\188r R\195\188stungsarten\n\n(L)eicht - Leichte R\195\188stung\n(M)ittel - Mittlere R\195\188stung\n(H)Schwer - Schwere R\195\188stung",
			COLOR = "Symbole nach Qualit\195\164t einf\195\164rben",
			COLOR_TOOLTIP = "Zeigt Symbole f\195\188r Motiv und R\195\188stungsart in der Qualit\195\164tsfarbe des Gegenstands",
			TOOLTIP = "Zeige Tooltips",
			TOOLTIP_TOOLTIP = "Zeige Tooltips wenn der Mauscursor in der Listenansicht \195\188ber den Symbolen ist.\n\nHinweis für Nutzer von Inventory Grid View: Symbole werden nicht in der \"Gitter\" (Grid) Ansicht angezeigt.",
			BORDER = "Show rarity border",
			BORDER_TOOLTIP = "Show a colored square for rare styles",
		},
	},
 ["fr"] = {
		phrases = {
			GENERAL = "G\195\169n\195\169ral",
			ICON_THEME = "Style de symboles",
			ICON_THEME_TOOLTIP = "Apparence des symboles qui sont affich\195\169s \195\160 c\195\180t\195\169 du nom de l\'objet.\n\nNote aux utilisateurs de l\'add-on Inventory Grid View: aucun symbole ne sera affich\195\169 en mode \"grille\"",
			ICON_SIZE = "Taille du motif symbole",
			ICON_SIZE_TOOLTIP = "Taille l\'icone du motif racial",
			ARMOR_ICON_SIZE = "Taille d'armure symbole",
			ARMOR_ICON_SIZE_TOOLTIP = "Taille l\'icone du type armure",
			ICON_POSITION = "Position des icones",
			ICON_POSITION_TOOLTIP = "Position des icones en partant de la gauche.",
			RACIAL = "Afficher le motif racial",
			RACIAL_TOOLTIP = "Afficher l\'icone du motif racial.\n\nNote aux utilisateurs de l\'add-on Inventory Grid View: aucun symbole ne sera affich\195\169 en mode \"grille\"",
			ARMOR = "Afficher le type d\'armure",
			ARMOR_TOOLTIP = "Afficher l\'icone du type d\'armure.\n\nNote aux utilisateurs de l\'add-on Inventory Grid View: aucun symbole ne sera affich\195\169 en mode \"grille\"",
			LETTER = "Utiliser des lettres",
			LETTER_TOOLTIP = "Afficher des lettres \195\160 la place des icones pour repr\195\169senter le type d\'armure.\n\n(L)ight  -  armure l\195\169g\195\168re\n(M)edium  -  armure moyenne\n(H)eavy  -  armure lourde",
			COLOR = "Colorer les icones",
			COLOR_TOOLTIP = "Afficher les symboles en couleur, selon la qualit\195\169 de l\'objet.",
			TOOLTIP = "Afficher les infobulles",
			TOOLTIP_TOOLTIP = "Afficher une infobulle lorsque vous passez le curseur de la souris sur un symbole.\n\nNote aux utilisateurs de l\'add-on Inventory Grid View: aucun symbole ne sera affich\195\169 en mode \"grille\"",
			BORDER = "Show rarity border",
			BORDER_TOOLTIP = "Show a colored square for rare styles",
		},
	},
}

-- to add new theme, need to create new element in ShowMotifs.STYLES_TEXTURES and ShowMotifs.ARMOR_TEXTURES with same name(ex: Default)
-- textures for racial motifs
ShowMotifs.STYLES_TEXTURES = {
	["Default"] = {
		[ITEMSTYLE_RACIAL_HIGH_ELF] = {
			texture = [[ShowMotifs/themes/Default/altmer.dds]],
		},
		[ITEMSTYLE_AREA_ANCIENT_ELF] = {
			texture = [[ShowMotifs/themes/Default/aldmer.dds]],
		},
		[ITEMSTYLE_RACIAL_ARGONIAN] = {
			texture = [[ShowMotifs/themes/Default/argonian.dds]],
		},
		[ITEMSTYLE_AREA_REACH] = {
			texture = [[ShowMotifs/themes/Default/reach.dds]],
		},
		[ITEMSTYLE_RACIAL_WOOD_ELF] = {
			texture = [[ShowMotifs/themes/Default/bosmer.dds]],
		},
		[ITEMSTYLE_RACIAL_BRETON] = {
			texture = [[ShowMotifs/themes/Default/breton.dds]],
		},
		[ITEMSTYLE_ENEMY_DAEDRIC] = {
			texture = [[ShowMotifs/themes/Default/daedric.dds]],
		},
		[ITEMSTYLE_RACIAL_DARK_ELF] = {
			texture = [[ShowMotifs/themes/Default/dunmer.dds]],
		},
		[ITEMSTYLE_RACIAL_KHAJIIT] = {
			texture = [[ShowMotifs/themes/Default/khajiit.dds]],
		},
		[ITEMSTYLE_RACIAL_IMPERIAL] = {
			texture = [[ShowMotifs/themes/Default/imperial.dds]],
		},
		[ITEMSTYLE_RACIAL_NORD] = {
			texture = [[ShowMotifs/themes/Default/nord.dds]],
		},
		[ITEMSTYLE_RACIAL_ORC] = {
			texture = [[ShowMotifs/themes/Default/orsimer.dds]],
		},
		[ITEMSTYLE_ENEMY_PRIMITIVE] = {
			texture = [[ShowMotifs/themes/Default/primitive.dds]],
		},
		[ITEMSTYLE_RACIAL_REDGUARD] = {
			texture = [[ShowMotifs/themes/Default/redguard.dds]],
		},
		[ITEMSTYLE_AREA_DWEMER] = {
			texture = [[ShowMotifs/themes/Default/dwemer.dds]],
		},
		[ITEMSTYLE_AREA_AKAVIRI] = {
			texture = [[ShowMotifs/themes/Default/akaviri.dds]],
		},
		[ITEMSTYLE_AREA_YOKUDAN] = {
			texture = [[ShowMotifs/themes/Default/yokudan.dds]],
		},
		[0] = {
			texture = [[ShowMotifs/themes/Default/unknown.dds]],
		},
	},
    ["Alphabetic"] = {
		[ITEMSTYLE_RACIAL_HIGH_ELF] = {
			texture = [[ShowMotifs/themes/Alphabetic/altmer.dds]],
		},
		[ITEMSTYLE_AREA_ANCIENT_ELF] = {
			texture = [[ShowMotifs/themes/Alphabetic/aldmer.dds]],
		},
		[ITEMSTYLE_RACIAL_ARGONIAN] = {
			texture = [[ShowMotifs/themes/Alphabetic/argonian.dds]],
		},
		[ITEMSTYLE_AREA_REACH] = {
			texture = [[ShowMotifs/themes/Alphabetic/reach.dds]],
		},
		[ITEMSTYLE_RACIAL_WOOD_ELF] = {
			texture = [[ShowMotifs/themes/Alphabetic/bosmer.dds]],
		},
		[ITEMSTYLE_RACIAL_BRETON] = {
			texture = [[ShowMotifs/themes/Alphabetic/breton.dds]],
		},
		[ITEMSTYLE_ENEMY_DAEDRIC] = {
			texture = [[ShowMotifs/themes/Alphabetic/daedric.dds]],
		},
		[ITEMSTYLE_RACIAL_DARK_ELF] = {
			texture = [[ShowMotifs/themes/Alphabetic/dunmer.dds]],
		},
		[ITEMSTYLE_RACIAL_KHAJIIT] = {
			texture = [[ShowMotifs/themes/Alphabetic/khajiit.dds]],
		},
		[ITEMSTYLE_RACIAL_IMPERIAL] = {
			texture = [[ShowMotifs/themes/Alphabetic/imperial.dds]],
		},
		[ITEMSTYLE_RACIAL_NORD] = {
			texture = [[ShowMotifs/themes/Alphabetic/nord.dds]],
		},
		[ITEMSTYLE_RACIAL_ORC] = {
			texture = [[ShowMotifs/themes/Alphabetic/orsimer.dds]],
		},
		[ITEMSTYLE_ENEMY_PRIMITIVE] = {
			texture = [[ShowMotifs/themes/Alphabetic/primitive.dds]],
		},
		[ITEMSTYLE_RACIAL_REDGUARD] = {
			texture = [[ShowMotifs/themes/Alphabetic/redguard.dds]],
		},
		[ITEMSTYLE_AREA_DWEMER] = {
			texture = [[ShowMotifs/themes/Alphabetic/unknown.dds]],
		},
		[ITEMSTYLE_AREA_AKAVIRI] = {
			texture = [[ShowMotifs/themes/Alphabetic/unknown.dds]],
		},
		[ITEMSTYLE_AREA_YOKUDAN] = {
			texture = [[ShowMotifs/themes/Alphabetic/unknown.dds]],
		},
		[0] = {
			texture = [[ShowMotifs/themes/Alphabetic/unknown.dds]],
		},
	},
	["Materials"] = {
		[ITEMSTYLE_RACIAL_HIGH_ELF] = {
			texture = [[EsoUI/Art/Icons/grafting_gems_adamantine.dds]], --Adamantite
		},
		[ITEMSTYLE_AREA_ANCIENT_ELF] = {
			texture = [[EsoUI/Art/Icons/crafting_ore_palladium.dds]], --Palladium
		},
		[ITEMSTYLE_RACIAL_ARGONIAN] = {
			texture = [[EsoUI/Art/Icons/crafting_smith_potion_standard_f_002.dds]], --Flint
		},
		[ITEMSTYLE_AREA_REACH] = {
			texture = [[EsoUI/Art/Icons/crafting_smith_potion_standard_f_001.dds]], --Copper
		},
		[ITEMSTYLE_RACIAL_WOOD_ELF] = {
			texture = [[EsoUI/Art/Icons/crafting_gems_daedra_skull.dds]], --Bone
		},
		[ITEMSTYLE_RACIAL_BRETON] = {
			texture = [[EsoUI/Art/Icons/crafting_metals_molybdenum.dds]], --Molybdenum
		},
		[ITEMSTYLE_ENEMY_DAEDRIC] = {
			texture = [[EsoUI/Art/Icons/crafting_walking_dead_mort_heart.dds]], --Daedra Heart
		},
		[ITEMSTYLE_RACIAL_DARK_ELF] = {
			texture = [[EsoUI/Art/Icons/crafting_metals_graphite.dds]], --Obsidian
		},
		[ITEMSTYLE_RACIAL_KHAJIIT] = {
			texture = [[EsoUI/Art/Icons/crafting_smith_plug_sp_names_001.dds]], --Moonstone
		},
		[ITEMSTYLE_RACIAL_IMPERIAL] = {
			texture = [[EsoUI/Art/Icons/crafting_heavy_armor_sp_names_001.dds]], --Nickel
		},
		[ITEMSTYLE_RACIAL_NORD] = {
			texture = [[EsoUI/Art/Icons/crafting_metals_corundum.dds]], --Corundum
		},
		[ITEMSTYLE_RACIAL_ORC] = {
			texture = [[EsoUI/Art/Icons/crafting_metals_manganese.dds]], --Manganese
		},
		[ITEMSTYLE_ENEMY_PRIMITIVE] = {
			texture = [[EsoUI/Art/Icons/crafting_metals_argentum.dds]], --Argentum
		},
		[ITEMSTYLE_RACIAL_REDGUARD] = {
			texture = [[EsoUI/Art/Icons/crafting_medium_armor_sp_names_002.dds]], --Starmetal
		},
		[ITEMSTYLE_AREA_DWEMER] = {
			texture = [[EsoUI/Art/Icons/crafting_dwemer_shiny_tube.dds]], --Dwemer Frame
		},
		[ITEMSTYLE_AREA_AKAVIRI] = {
			texture = [[EsoUI/Art/Crafting/crafting_tooltip_glow_center.dds]],
		},
		[ITEMSTYLE_AREA_YOKUDAN] = {
			texture = [[EsoUI/Art/Crafting/crafting_tooltip_glow_center.dds]],
		},
		[ITEMSTYLE_NONE] = {
			texture = [[EsoUI/Art/Crafting/crafting_tooltip_glow_center.dds]], --transparent
		},
	},
}
-- textures for armor types
ShowMotifs.ARMOR_TEXTURES = {
	["Default"] = {
		[ARMORTYPE_LIGHT] = {
			texture = [[ShowMotifs/themes/Default/lightarmor.dds]],
			letter =  [[ShowMotifs/themes/Default/lightarmor_letter.dds]],
			},
		[ARMORTYPE_MEDIUM] = {
			texture = [[ShowMotifs/themes/Default/mediumarmor.dds]],
			letter =  [[ShowMotifs/themes/Default/mediumarmor_letter.dds]],
		},
		[ARMORTYPE_HEAVY] = {
			texture = [[ShowMotifs/themes/Default/heavyarmor.dds]],
			letter =  [[ShowMotifs/themes/Default/heavyarmor_letter.dds]],
		},
	},
	["Alphabetic"] = {
		[ARMORTYPE_LIGHT] = {
			texture = [[ShowMotifs/themes/Alphabetic/lightarmor.dds]],
			letter =  [[ShowMotifs/themes/Alphabetic/lightarmor_letter.dds]],
			},
		[ARMORTYPE_MEDIUM] = {
			texture = [[ShowMotifs/themes/Alphabetic/mediumarmor.dds]],
			letter =  [[ShowMotifs/themes/Alphabetic/mediumarmor_letter.dds]],
		},
		[ARMORTYPE_HEAVY] = {
			texture = [[ShowMotifs/themes/Alphabetic/heavyarmor.dds]],
			letter =  [[ShowMotifs/themes/Alphabetic/heavyarmor_letter.dds]],
		},
	},
	["Materials"] = {
		[ARMORTYPE_LIGHT] = {
			texture = [[EsoUI/Art/CharacterCreate/CharacterCreate_bodyIcon_up.dds]],
			letter =  [[ShowMotifs/themes/Alphabetic/lightarmor_letter.dds]],
			},
		[ARMORTYPE_MEDIUM] = {
			texture = [[EsoUI/Art/Campaign/overview_indexIcon_scoring_up.dds]],
			letter =  [[ShowMotifs/themes/Alphabetic/mediumarmor_letter.dds]],
		},
		[ARMORTYPE_HEAVY] = {
			texture = [[EsoUI/Art/Inventory/inventory_tabIcon_armor_up.dds]],
			letter =  [[ShowMotifs/themes/Alphabetic/heavyarmor_letter.dds]],
		},
	},
}

ShowMotifs.STORE_ITEMS_STYLE = {
	["altmer"] = ITEMSTYLE_RACIAL_HIGH_ELF,
	["ancient_elf"] = ITEMSTYLE_AREA_ANCIENT_ELF,
	["argonian"] = ITEMSTYLE_RACIAL_ARGONIAN,
	["breton"] = ITEMSTYLE_RACIAL_BRETON,
	["bosmer"] = ITEMSTYLE_RACIAL_WOOD_ELF,
	["daedric"] = ITEMSTYLE_ENEMY_DAEDRIC,
	["dunmer"] = ITEMSTYLE_RACIAL_DARK_ELF,
	["khajiit"] = ITEMSTYLE_RACIAL_KHAJIIT,
	["imperial"] = ITEMSTYLE_RACIAL_IMPERIAL,
	["nord"] = ITEMSTYLE_RACIAL_NORD,
	["orc"] = ITEMSTYLE_RACIAL_ORC,
	["reach"] = ITEMSTYLE_AREA_REACH,
	["redguard"] = ITEMSTYLE_RACIAL_REDGUARD,
	["primative"] = ITEMSTYLE_ENEMY_PRIMITIVE,
	["draugr"] = ITEMSTYLE_ENEMY_PRIMITIVE,
	["artifactwormcult"] = ITEMSTYLE_RACIAL_KHAJIIT,
	["ashlander"] = ITEMSTYLE_RACIAL_BRETON,
	["goldensaint"] = ITEMSTYLE_RACIAL_HIGH_ELF,
	["yokudan"] = 0
}